Skip to main content

Create an Invite

Creates an invite for a recipient to begin the identity verification process for a dock. The invite is sent to the recipient’s registered email address.
POST /v1/docks/:dockId/invites

Path Parameters

ParameterTypeDescription
dockIdstringThe dock ID

Request Body

ParameterTypeRequiredDescription
recipientIdstringRequiredThe recipient to invite

Example Request

curl -X POST https://api.docyard.io/v1/docks/dock_01HQ3K.../invites \
  -H "Authorization: Bearer dk_live_a1b2c3d4..." \
  -H "Content-Type: application/json" \
  -d '{
    "recipientId": "rcp_01HQ3N..."
  }'

Response

{
  "id": "inv_01HQ8A...",
  "dockId": "dock_01HQ3K...",
  "recipientId": "rcp_01HQ3N...",
  "status": "pending"
}

Error Handling

StatusCondition
400recipientId is missing
401Missing or invalid API key
404Dock or recipient not found
409An active invite already exists for this recipient in this dock